Customer Login

User Name :

Password :

*Javascript must be enabled to use this web application.

If you forgot your password, click here.

Not Registered?

Appointments Everywhere takes the hassle out of medical scheduling. It's inexpensive to get started -- all you need is a web browser.

Welcome to the Newest Release of AppointmentsEverywhere

Browser requirement change!

We have been working hard on the next upgrade to AppointmentsEverywhere, and over the next few months we will be rolling this new version out to everyone. Look for Webinar invites to go over the new version of AppointmentsEverywhere. If you have a test environment it will be updated to the new version the week of 8/9/16.

The most important item to be aware of is that the web browser requirements have changed to support Microsoft's sunset of older Internet Explorer versions (effective January 12, 2016). If you are currently using Internet Explorer 8, 9, or 10 you will need to upgrade to a supported browser.

The browsers supported by AppointmentsEverywhere are:

  • Internet Explorer 11
  • Google Chrome 46 or higher
  • Mozilla Firefox 40 or higher

For Microsoft's official announcement, please click here